﻿USE piezas;


-- INNER JOIN
-- PIEZAS QUE ESTAN EN SPJ
-- PIEZAS QUE HAN SIDO DISTRIBUIDAS A ALGUN PROYECTO
SELECT 
    * 
  FROM piezas p 
    JOIN spj s ON p.P = s.p;

-- OUTER JOIN

-- LEFT OUTER JOIN

-- LEFT JOIN
-- LISTANDO LAS PIEZAS QUE TENEMOS EN LA TABLA PIEZAS
-- JUNTO CON LOS REGISTROS DE SPJ
SELECT 
    * 
  FROM piezas p 
    LEFT JOIN spj s ON p.P = s.p;


-- EN ESTE CASO EL LEFT JOIN ME DA LO MISMO QUE JOIN
SELECT 
    * 
  FROM spj s 
    LEFT JOIN piezas p ON s.p = p.P;


-- RIGHT JOIN
-- LISTANDO LAS PIEZAS QUE TENEMOS EN LA TABLA PIEZAS
-- JUNTO CON LOS REGISTROS DE SPJ
SELECT 
    * 
  FROM spj s 
    RIGHT JOIN piezas p ON p.P = s.p;


-- INDICAME LAS PIEZAS QUE NO SE HAN DISTRIBUIDO A NINGUN PROYECTO
SELECT 
    * 
  FROM piezas p 
    LEFT JOIN spj s ON p.P = s.p
    WHERE s.p IS NULL;